namatch(3)

NAME
namatch(),nacasematch() - generic name-based match functions

SYNOPSIS
#include "fwfunc.h"

int namatch(char *pattern,char *string)

int nacasematch(char *pattern,char *string)

DESCRIPTION
The namatch and nacasematch function implement a poor man's pseudo-regexp matcher (* and ? wildcards are availible in pattern)

RETURN VALUES
the function returns non-zero if the string matches pattern, 0 if it does not.

nacasematch is case-insensitive.

SEE ALSO
hostmatch(3)

HISTORY
Functions are public domain software by Guido van Rossum (included in fwtk since 1.0)